browser-plugin-freshplayer-pepperflash_0.3.5-1+b1_amd64.deb


Advertisement

Description

browser-plugin-freshplayer-pepperflash - PPAPI-host NPAPI-plugin adapter for pepperflash

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Contrib amd64
Package name browser-plugin-freshplayer-pepperflash
Package version 0.3.5
Package release 1+b1
Package architecture amd64
Package type deb
Installed size 1.11 KB
Download size 349.87 KB
Official Mirror ftp.br.debian.org
The main goal of the project is to get PPAPI (Chrome) plugins
working in Firefox (and any other web-browser supporting NPAPI plugins).
It implements a wrapper which behaves like
browser to PPAPI plugin and implements NPAPI plugin interface
for browser to use.
This particular implementation doesn't implement any sandboxing,
which means any malicious code can break through plugin security
as there are no additional barriers.  This is the same level of security as
NPAPI Flash have.
Flash plugin for Linux provided by adobe stopped at version 11.2; for
chrome/chromium users there is pepperflash plugin but it's not supported by
firefox/iceweasel/other browsers.
This package allows one to use the Pepper Flash plugin from Chrome
in NPAPI web browsers.

Alternatives

Package Version Architecture Repository
browser-plugin-freshplayer-pepperflash_0.3.5-1+b1_i386.deb 0.3.5 i386 Debian Contrib
browser-plugin-freshplayer-pepperflash - - -

Requires

Name Value
libasound2 >= 1.0.18
libavcodec-extra57 >= 7:3.2.2
libavcodec57 >= 7:3.2.2
libavutil55 >= 7:3.2.2
libc6 >= 2.14
libcairo2 >= 1.2.4
libevent-2.0-5 >= 2.0.10-stable
libevent-pthreads-2.0-5 >= 2.0.10-stable
libfreetype6 >= 2.2.1
libgcc1 >= 1:3.0
libgl1 -
libgl1-mesa-glx -
libglib2.0-0 >= 2.31.18
libgtk2.0-0 >= 2.24.0
libpango-1.0-0 >= 1.22.0
libpangocairo-1.0-0 >= 1.14.0
libpangoft2-1.0-0 >= 1.14.0
libpulse0 >= 0.99.1
libssl1.1 >= 1.1.0
libstdc++6 >= 5.2
libv4l-0 >= 0.5.0
libva-x11-1 >= 1.0.3
libva1 >= 1.7.3
libvdpau1 >= 0.2
libx11-6 -
libxcursor1 >> 1.1.2
libxrandr2 >= 2:1.2.0
libxrender1 -

Download

Type URL
Binary Package browser-plugin-freshplayer-pepperflash_0.3.5-1+b1_amd64.deb
Source Package freshplayerplugin

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install browser-plugin-freshplayer-pepperflash deb package:
    # sudo apt-get install browser-plugin-freshplayer-pepperflash

Files

Path
/usr/lib/browser-plugin-freshplayer-pepperflash/libfreshwrapper-flashplayer.so
/usr/share/doc/browser-plugin-freshplayer-pepperflash/README.md.gz
/usr/share/doc/browser-plugin-freshplayer-pepperflash/changelog.Debian.amd64.gz
/usr/share/doc/browser-plugin-freshplayer-pepperflash/changelog.Debian.gz
/usr/share/doc/browser-plugin-freshplayer-pepperflash/changelog.gz
/usr/share/doc/browser-plugin-freshplayer-pepperflash/copyright
/usr/share/doc/browser-plugin-freshplayer-pepperflash/freshwrapper.conf.example
/usr/share/doc/browser-plugin-freshplayer-pepperflash/img-missing-pepflash.png
/usr/share/doc/browser-plugin-freshplayer-pepperflash/known-issues.md
/usr/share/lintian/overrides/browser-plugin-freshplayer-pepperflash

Changelog

2016-05-03 - Vincent Danjean <vdanjean@debian.org>
freshplayerplugin (0.3.5-1) unstable; urgency=medium
* New upstream release
2016-02-15 - Vincent Danjean <vdanjean@debian.org>
freshplayerplugin (0.3.4-3) unstable; urgency=medium
* really add the /usr/lib/mozilla/plugins directory (Closes: #814652)
2016-02-13 - Vincent Danjean <vdanjean@debian.org>
freshplayerplugin (0.3.4-2) unstable; urgency=medium
* add the '/usr/lib/mozilla/plugins' (empty) directory in the
browser-plugin-freshplayer-pepperflash package (Closes: #814652)
2016-02-04 - Vincent Danjean <vdanjean@debian.org>
freshplayerplugin (0.3.4-1) unstable; urgency=medium
* New upstream release (Closes: #805263, #797827)
* Implement the update-alternatives system for flash-mozilla.so
like flashplugin-nonfree (Closes: #809432)
2015-08-25 - Vincent Danjean <vdanjean@debian.org>
freshplayerplugin (0.3.2-1) unstable; urgency=medium
* New upstream release (Closes: #796856)
+ should fix "FTBFS on big endian builds", fixed upstream (Closes: #794668)
* Add "--as-needed" to linker flags (avoid unneeded library dependencies)
2015-07-07 - Vincent Danjean <vdanjean@debian.org>
freshplayerplugin (0.3.1-2) unstable; urgency=medium
* Initial upload. (Closes: #775004: ITP: freshplayerplugin -- PPAPI-
host NPAPI-plugin adapter)
2015-07-06 - Vincent Danjean <vdanjean@debian.org>
freshplayerplugin (0.3.1-1) unstable; urgency=low
* Initial private release

See Also

Package Description
bumblebee-nvidia_3.2.1-14_amd64.deb NVIDIA Optimus support using the proprietary NVIDIA driver
caffe-cuda_1.0.0~rc4-1_amd64.deb Fast, open framework for Deep Learning (Meta)
caffe-tools-cuda_1.0.0~rc4-1_amd64.deb Tools for fast, open framework for Deep Learning (CUDA)
cbedic_4.0-4+b1_amd64.deb Text-mode Bulgarian/English Dictionary
chromium-widevine_70.0.3538.110-1~deb9u1_amd64.deb web browser - widevine content decryption support
cicero_0.7.2-3_all.deb French and English Text-To-Speech for MBROLA
cl-sql-oracle_6.7.0-1.1_all.deb CLSQL database backend, Oracle
cl-umlisp-orf_3.3.2-3_all.deb Common Lisp Unified Medical Language System Interface, ORF
cl-umlisp_2007ac.2-6_all.deb Common Lisp interface for the Unified Medical Language System
corsix-th-data_0.60-2_all.deb Open source clone of Theme Hospital (data package)
corsix-th_0.60-2_amd64.deb Open source clone of Theme Hospital
cpl-plugin-amber-calib_4.3.4+dfsg-1_all.deb ESO data reduction pipeline calibration data downloader for AMBER
cpl-plugin-fors-calib_5.3.11+dfsg-1_all.deb ESO data reduction pipeline calibration data downloader for FORS2
cpl-plugin-giraf-calib_2.15+dfsg-1_all.deb ESO data reduction pipeline calibration data downloader for GIRAFFE
cpl-plugin-kmos-calib_1.4.0+dfsg-1_all.deb ESO data reduction pipeline calibration data downloader for KMOS
Advertisement
Advertisement